Skip to content
Start here

Get job progress

r2.super_slurper.jobs.progress(strjob_id, JobProgressParams**kwargs) -> JobProgressResponse
GET/accounts/{account_id}/slurper/jobs/{job_id}/progress

Retrieves current progress metrics for an R2 Super Slurper migration job

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
job_id: str
ReturnsExpand Collapse
class JobProgressResponse:
id: Optional[str]
created_at: Optional[str]
failed_objects: Optional[int]
objects: Optional[int]
skipped_objects: Optional[int]
status: Optional[Literal["running", "paused", "aborted", "completed"]]
One of the following:
"running"
"paused"
"aborted"
"completed"
transferred_objects: Optional[int]

Get job progress

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.r2.super_slurper.jobs.progress(
    job_id="job_id",
    account_id="account_id",
)
print(response.id)
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "id": "id",
    "createdAt": "createdAt",
    "failedObjects": 0,
    "objects": 0,
    "skippedObjects": 0,
    "status": "running",
    "transferredObjects": 0
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "id": "id",
    "createdAt": "createdAt",
    "failedObjects": 0,
    "objects": 0,
    "skippedObjects": 0,
    "status": "running",
    "transferredObjects": 0
  },
  "success": true
}